Subject: [Sip] RE: privacy service :draft-ietf-sip-privacy-general-01..(.Resendi ng)

From: "Peterson, Jon" <[email-masked]>
Date: Mon, 5 Aug 2002 07:27:02 -0500

This draft has already passed IETF last call and has been approved by the
IESG, although it has not yet appeared in the RFC repository. In other
words, it may be a little late to make substantial changes to the current
revision.

That much said, I would still like to speak to your considerations below. I
don't see a lot of value in defining behavior for a privacy service when it
suddenly learns or forgets privacy functions on-the-fly while a dialog (or
worse, a transaction) is in progress - to my knowledge, we don't tend to
worry about this property for other option-tag-based features in SIP. I
don't think we need to introduce the idea that privacy services may change
the privacy qualities of a dialog that is in progress - any more than a SIP
extension needs to define what happens if a previously-compliant proxy stops
supporting the extension in the middle of a transaction or dialog.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, August 05, 2002 12:18 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: privacy service
> :draft-ietf-sip-privacy-general-01..(.Resending)
> 
> 
> 
> 
> I'm resubmitting this mail to the list as I did not receive 
> any comments in
> response.
> 
> 
> --------------------------------------------------------------
> -------------
> -------------
> 
> 
> I have a comment on the privacy services and their support on proxy or
> other servers.
> 
> If privacy services defined in terms of different levels can be
> supported/not supported by different proxy servers, then one can also
> assume that probably these may be activated/deactivated on 
> existing servers
> in the network. If we accept this scenario, then the draft 
> needs to address
> situations like the following:
> 1.A proxy server which is performing levels A out of a total 
> levels A,B
> requested by the UA, now is ready to activate level B. What 
> should it do to
> the session for which it is only performing level A?(case 
> activation of a
> privacy level)
> 2.A proxy server which is performing levels A out of a total 
> levels A,B
> requested by the UA, now wants  to deactive level A. What 
> should it do to
> the session for which it is only performing level A?(case 
> deactivation of a
> privacy level) Should it reroute future messages through 
> another server
> which supports both A,B?Or should it only stop removing the 
> prev-value so
> that subsequent servers start to perform the privacy service 
> A? Or should
> deactivation of a level on a server be allowed only when the level in
> question is not in use?
> 
> IMHO such scenarios may be likely, and some guidelines or explanations
> should be provided in the draft to cover them.
> 
> Comments?
> 
> regards
> Harsh Bhondwe
> Hughes Software Systems
> 
> 
> 
> 
> 
> 
> This message is proprietary to Hughes Software Systems 
> Limited (HSS) and is
> intended solely for the use of the individual to whom it is 
> addressed.  It
> may contain privileged or confidential information and should not be
> circulated or used for any purpose other than for what it is 
> intended.  If
> you have received this message in error, please notify the originator
> immediately.  If you are not the intended recipient, you are 
> notified that
> you are strictly prohibited from using, copying, altering, or 
> disclosing
> the contents of this message.  HSS accepts no responsibility 
> for loss or
> damage arising from the use of the information transmitted by 
> this email
> including damage from virus.
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip